Get Job Status
curl --request GET \
--url https://test-api.sandbox.co.in/it/calculator/tax-pnl/securities/foreign \
--header 'Authorization: <authorization>' \
--header 'x-api-key: <x-api-key>'import requests
url = "https://test-api.sandbox.co.in/it/calculator/tax-pnl/securities/foreign"
headers = {
"Authorization": "<authorization>",
"x-api-key": "<x-api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: '<authorization>', 'x-api-key': '<x-api-key>'}
};
fetch('https://test-api.sandbox.co.in/it/calculator/tax-pnl/securities/foreign', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"timestamp": 1764238516423,
"data": {
"created_at": 1764238413653,
"updated_at": 1764238413653,
"@entity": "in.co.sandbox.it.calculator.tax_pnl.securities.job",
"security_type": "foreign",
"status": "created",
"job_id": "d56aded2-8632-44ca-9283-240a2b6ba3e2"
},
"transaction_id": "3d334c06-eaa1-4fbc-92be-8cfc378fde7f"
}{
"code": 500,
"timestamp": 1764322244126,
"message": "Failed to get job",
"transaction_id": "70a13e97-99bc-4dec-8e30-e7b720fdd0b6"
}Poll a foreign securities Taxβ―P&L job by job_id and auth headers to get its latest status and metadata.
GET
/
it
/
calculator
/
tax-pnl
/
securities
/
foreign
Get Job Status
Run in Postman
Headers
Bearer token for user-level authorization. Typically passed as Bearer {{access_token}}.
Your API key used to authenticate and authorize the request.
Indicates the version of the API you want to use. Ensures backward-compatible behavior.
Query Parameters
Was this page helpful?
βI